#!/usr/bin/env bash

SOURCE_PATH=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )/../" &> /dev/null && pwd )
CONFIG_PATH=${SOURCE_PATH}/external_tree/configs/${CONFIG_NAME}

echo "Patching config file: ${CONFIG_PATH}"

if [ ! -f ${CONFIG_PATH} ]; then
	echo "Config file not found"
	exit -1
fi

CCACHE_PATH="${SOURCE_PATH}/ccache"
DL_PATH="${SOURCE_PATH}/dl"

cat - << CFG >> ${CONFIG_PATH}
BR2_DL_DIR="${DL_PATH}"
BR2_CCACHE=y
BR2_CCACHE_DIR="${CCACHE_PATH}"
BR2_CCACHE_INITIAL_SETUP="-M 50G"
CFG

